extends Node2D

export(NodePath) var Dog

var processing = false

var dog

func _ready():
	dog = get_node(Dog)
	$start_timer.start()
	$gui/start_count.show()
	pass

func _process(delta):
	if dog.cat_found:
		$gui/lost.show()


func _on_play_pressed():
	if not processing:
		dog.initial_pulse()
		$gui/start_count.hide()
		$game_time.start()
	processing = true
	dog.can_bark = true
	pass


func _on_pause_pressed():
	processing = false
	$gui/pause.show()
	get_tree().paused = true
	pass


func _on_start_timer_timeout():
	$gui/start_count.hide()
	processing = true
	dog.can_bark = true


func _on_exit_pressed():
	get_tree().paused = false
	pass # Replace with function body.


func _on_pause_about_to_show():
	get_tree().paused = true


func _on_pause_popup_hide():
	get_tree().paused = false


func _on_replay_pressed():
	get_tree().paused = false
	get_tree().reload_current_scene()


func _on_resume_pressed():
	get_tree().paused = false
	$gui/pause.hide()


func _on_game_time_timeout():
	$gui/win.show()
